VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Login Example"
   ClientHeight    =   4410
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7200
   LinkTopic       =   "Form1"
   ScaleHeight     =   4410
   ScaleWidth      =   7200
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdManageUsers 
      Caption         =   "Manage Users"
      Height          =   420
      Left            =   2805
      TabIndex        =   0
      Top             =   990
      Width           =   1590
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Login Example"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   24
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   555
      Left            =   1913
      TabIndex        =   1
      Top             =   2565
      Width           =   3375
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Made By Michael Ciurescu (CVMichael from vbforums.com)

Private Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

Private Sub cmdManageUsers_Click()
    frmManageUsers.Show vbModal, Me
End Sub

Private Sub Form_Load()
    Dim rsData As ADODB.Recordset
    
    ' load the database
    Set DBConn = LoadDatabase(App.Path & "\LogInExample.mdb")
    
    ' do a count of records to see if there any users in the table
    Set rsData = DBConn.Execute("SELECT Count(*) FROM tblUsers")
    
    ' if there are users in the table, then prompt for login
    If rsData.Fields(0).value > 0 Then
        If Not DoLogin Then
            Unload Me ' Login unsuccessful, so unload
        End If
    End If
End Sub

Private Function DoLogin() As Boolean
    Dim UserName As String, Password As String, Ret As Boolean
    Dim LoginSuccessful As Boolean, rsData As ADODB.Recordset
    Dim MD5 As New clsMD5
    
    Randomize
    
    ' Get the user that last logged in from the registry
    UserName = GetSetting(App.EXEName, "Settings", "LastLogIn", "")
    
    ' prompt user to enter username and password
    Ret = frmLogin.GetLogIn(UserName, Password, Me)
    
    Do While Ret
        Set rsData = DBConn.Execute("SELECT ID, UserName, Password FROM tblUsers WHERE UserName = '" & Replace(UserName, "'", "''") & "'")
        
        ' if a record was found, it means the user exists
        If rsData.RecordCount > 0 Then
            ' check if the password is correct
            If UCase(MD5.DigestStrToHexStr(Password)) = UCase(rsData("Password").value) Then
                
                ' password is correct, so save the user that just logged in
                LogInUserID = rsData("ID").value
                LogInUserName = rsData("UserName").value
                
                ' sage the username in the Registry
                SaveSetting App.EXEName, "Settings", "LastLogIn", rsData("UserName").value
                
                LoginSuccessful = True
                Exit Do
            End If
        End If
        
        If Not LoginSuccessful Then
            Ret = False
            
            If MsgBox("Invalid login, do you want to try again ?", vbQuestion + vbYesNo, "Invalid Login") = vbYes Then
                ' to prevent brute force password cracking from the application
                Sleep 200 + 300 * Rnd
                
                ' if login was not successfull, prompt again until Cancel is clicked
                Ret = frmLogin.GetLogIn(UserName, Password, Me)
            End If
        End If
    Loop
    
    DoLogin = LoginSuccessful
End Function
