VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form frmManageUsers 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Manage Users"
   ClientHeight    =   4095
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5535
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4095
   ScaleWidth      =   5535
   StartUpPosition =   1  'CenterOwner
   Begin VB.TextBox txtOldPassword 
      Enabled         =   0   'False
      Height          =   330
      IMEMode         =   3  'DISABLE
      Left            =   1305
      PasswordChar    =   "*"
      TabIndex        =   2
      Top             =   2595
      Width           =   2895
   End
   Begin VB.TextBox txtPassword2 
      Height          =   330
      IMEMode         =   3  'DISABLE
      Left            =   1305
      PasswordChar    =   "*"
      TabIndex        =   4
      Top             =   3555
      Width           =   2895
   End
   Begin VB.TextBox txtPassword1 
      Height          =   330
      IMEMode         =   3  'DISABLE
      Left            =   1305
      PasswordChar    =   "*"
      TabIndex        =   3
      Top             =   3075
      Width           =   2895
   End
   Begin VB.TextBox txtUserName 
      Height          =   330
      Left            =   1305
      TabIndex        =   1
      Top             =   2115
      Width           =   2895
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "&Exit"
      Height          =   375
      Left            =   4410
      TabIndex        =   6
      Top             =   3555
      Width           =   960
   End
   Begin VB.CommandButton cmdAdd 
      Caption         =   "&Add"
      Height          =   375
      Left            =   4410
      TabIndex        =   5
      Top             =   2070
      Width           =   960
   End
   Begin MSComctlLib.ListView lstUsers 
      Height          =   1860
      Left            =   90
      TabIndex        =   0
      Top             =   90
      Width           =   5325
      _ExtentX        =   9393
      _ExtentY        =   3281
      View            =   3
      LabelWrap       =   -1  'True
      HideSelection   =   -1  'True
      FullRowSelect   =   -1  'True
      GridLines       =   -1  'True
      _Version        =   393217
      ForeColor       =   -2147483640
      BackColor       =   -2147483643
      BorderStyle     =   1
      Appearance      =   1
      NumItems        =   2
      BeginProperty ColumnHeader(1) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         Text            =   "ID"
         Object.Width           =   882
      EndProperty
      BeginProperty ColumnHeader(2) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         SubItemIndex    =   1
         Text            =   "User Name"
         Object.Width           =   7056
      EndProperty
   End
   Begin VB.Label lblOldPassword 
      AutoSize        =   -1  'True
      Caption         =   "Old Password:"
      Enabled         =   0   'False
      Height          =   195
      Left            =   180
      TabIndex        =   10
      Top             =   2663
      Width           =   1020
   End
   Begin VB.Label Label3 
      Caption         =   "Confirmation Password:"
      Height          =   420
      Left            =   180
      TabIndex        =   9
      Top             =   3510
      Width           =   1020
   End
   Begin VB.Label Label2 
      AutoSize        =   -1  'True
      Caption         =   "Password:"
      Height          =   195
      Left            =   180
      TabIndex        =   8
      Top             =   3143
      Width           =   735
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "User Name:"
      Height          =   195
      Left            =   180
      TabIndex        =   7
      Top             =   2183
      Width           =   840
   End
End
Attribute VB_Name = "frmManageUsers"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Made By Michael Ciurescu (CVMichael from vbforums.com)

' List all the users in the ListView
Private Sub ListUsers()
    Dim rsData As ADODB.Recordset
    
    Set rsData = DBConn.Execute("SELECT ID, UserName FROM tblUsers")
    
    lstUsers.ListItems.Clear
    If rsData.RecordCount > 0 Then
        rsData.MoveFirst
        
        Do Until rsData.EOF Or rsData.BOF
            With lstUsers.ListItems.Add(, , rsData("ID").value & "")
                .SubItems(1) = rsData("UserName").value & ""
            End With
            rsData.MoveNext
        Loop
    End If
End Sub

Private Sub cmdAdd_Click()
    Dim Request As String, NewID As Long, rsData As Recordset
    Dim MD5 As New clsMD5, NewPassword As String, OldPassword As String
    
    If Len(txtPassword1.Text) > 0 Or Len(txtPassword2.Text) > 0 Then
        If txtPassword1.Text <> txtPassword2.Text Then
            MsgBox "Confirm password must the same as Password field", vbExclamation
            Exit Sub
        End If
    End If
    
    ' get the hash of the passwords
    NewPassword = UCase(MD5.DigestStrToHexStr(Me.txtPassword1.Text))
    OldPassword = UCase(MD5.DigestStrToHexStr(Me.txtOldPassword.Text))
    
    If cmdAdd.Caption = "&Add" Then
        ' get the ID for the new record
        NewID = SelectNewID(DBConn, "tblUsers")
        
        ' prepare the INSERT statement
        Request = "INSERT INTO tblUsers VALUES(" & NewID & "," & _
            "'" & Replace(Me.txtUserName.Text, "'", "''") & "'," & _
            "'" & NewPassword & "')"
    Else
        ' if logged in as a diferent user than the one we are changing now
        If LogInUserID <> Val(lstUsers.SelectedItem.Text) Then
            ' validate user password if logged in as a diferent user
            Set rsData = DBConn.Execute("SELECT Password FROM tblUsers WHERE ID = " & Me.lstUsers.SelectedItem.Text)
            If OldPassword <> rsData("Password").value Then
                MsgBox "Invalid old password." & vbNewLine & "You must enter the valid password for user selected.", vbInformation
                Exit Sub
            End If
        End If
        
        ' Prepare the Update statement
        Request = "UPDATE tblUsers SET UserName = '" & Replace(Me.txtUserName.Text, "'", "''") & "'"
        If Len(Me.txtPassword1.Text) > 0 Then
            Request = Request & ", [Password] = '" & NewPassword & "'"
        End If
        Request = Request & " WHERE ID = " & Me.lstUsers.SelectedItem.Text
        
        ' change the caption back to "Add"
        cmdAdd.Caption = "&Add"
    End If
    
    ' execute the request
    DBConn.Execute Request
    
    ' Reset controls
    ListUsers
    txtUserName.Text = ""
    txtPassword1.Text = ""
    txtPassword2.Text = ""
    txtOldPassword.Enabled = False
    lblOldPassword.Enabled = False
    lstUsers.Enabled = True
End Sub

Private Sub cmdExit_Click()
    Unload Me
End Sub

Private Sub Form_Load()
    ListUsers
End Sub

Private Sub lstUsers_BeforeLabelEdit(Cancel As Integer)
    Cancel = 1
End Sub

Private Sub lstUsers_DblClick()
    If Not (lstUsers.SelectedItem Is Nothing) Then
        Me.txtUserName.Text = lstUsers.SelectedItem.SubItems(1)
        
        lstUsers.Enabled = False
        cmdAdd.Caption = "&Update"
        
        ' Endable the txtOldPassword field when logged in as a diferent user
        If LogInUserID <> Val(lstUsers.SelectedItem.Text) Then
            txtOldPassword.Enabled = True
            lblOldPassword.Enabled = True
        End If
    End If
End Sub
